<?php
$dni = 30;
if(!isSet($_COOKIE['hits'])){
  $ile = 1;
}
else{
  if(is_numeric($_COOKIE['hits'])){
    $poprawne = true;
  }
  else{
    $poprawne = false;
  }
  $ile = intval($_COOKIE['hits']);
  if($ile < 1) $ile = 1;
  $ile++;
}
setCookie("hits", "$ile", time() + 60 * 60 * 24 * $dni);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Zliczanie liczby odwiedzin</title>
</head>
<body>
<p>
<?php
if($poprawne){
  if($ile == 1)
    $str = "raz";
  else
    $str = "razy";
  echo "Witamy, w ciągu ostatnich $dni dni byłeś na tej stronie $ile $str.";
}
else{
  echo "Otrzymane dane o liczbie odwiedzin są niepoprawne.";
}  
?>
</p>
</body>
</html>
